﻿using System.Collections.ObjectModel;
using System.Xml.Serialization;

namespace WingMan.Bindings
{
    public class RemoteKeyBindings
    {
        [XmlIgnore] public static readonly XmlSerializer XmlSerializer =
            new XmlSerializer(typeof(RemoteKeyBindings));

        public RemoteKeyBindings()
        {
        }

        public RemoteKeyBindings(ObservableCollection<RemoteKeyBinding> bindings)
        {
            Bindings = bindings;
        }

        public ObservableCollection<RemoteKeyBinding> Bindings { get; set; }
    }
}